Subject: Re: bug#16519: 24.3.50; gfile notifications not received in batch mode

From: Michael Albinus <[email-masked]>
Date: Mon, 03 Feb 2014 14:31:47 +0100

Eli Zaretskii <[email-masked]> writes:

>> Reading file notifications via gio does not use file descriptors, which
>> are handled via xg_select. The same will happen, if we switch to gdbus
>> or kdbus later on. That's why we might need another kind of mainloop integration.
>
> That just means we should call xg_select etc. in addition to calling
> pselect.  The events that come that way should still be put on the
> same single queue, IMO.

Maybe I'm too stupid, but how shall we call xg_select w/o a file descriptor?

Best regards, Michael.